Bug 824602 - CVE-2012-2921 python-feedparser: DoS via memory consumption processing ENTITY declarations [fedora-all]
CVE-2012-2921 python-feedparser: DoS via memory consumption processing ENTITY...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-feedparser (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2921
  Show dependency treegraph
 
Reported: 2012-05-23 15:55 EDT by Vincent Danen
Modified: 2013-01-29 18:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 18:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-05-23 15:55:29 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=824600

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Michael Schwendt 2012-05-23 17:14:07 EDT
Bodhi refuses to add the bug IDs with the initial submission and continues to refuse doing that:

| 500 Internal error
| 
| The server encountered an unexpected condition which prevented it from
| fulfilling the request.

Tried half a dozen times to edit the ticket. Always error 500:
https://admin.fedoraproject.org/updates/python-feedparser-5.1.2-2.fc17

[...]

Dunno about Fedora 15 and 16, which are stuck at feedparser 5.0.1. Package owner has had objections to update to 5.1 
  https://bugzilla.redhat.com/show_bug.cgi?id=787401#c1
and has not responded to the request to update to 5.1.2 (the security fix) since May 8th: https://bugzilla.redhat.com/show_bug.cgi?id=787401#c12
Comment 2 Vincent Danen 2012-05-23 18:41:44 EDT
I suspect an issue with the recent bugzilla is causing that error you're seeing from bodhi (unfortunately).  Just tried and no error, but no access either.

I'm not so concerned about Fedora 15, but it would be good to get this into Fedora 16.  I'll add a comment to the noted bug.  Thanks.
Comment 3 Fedora Update System 2012-05-24 03:37:59 EDT
python-feedparser-5.1.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-feedparser-5.1.2-2.fc17
Comment 4 Fedora Update System 2012-06-01 13:15:04 EDT
python-feedparser-5.1.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora End Of Life 2013-01-16 21:00:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.